Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.spi.flexspi.ticket
Interface SearchOpsV2

All Superinterfaces
  ISPIMarker, ISPITicketMarker, SearchOpsV1, Serializable

    public interface SearchOpsV2

extends SearchOpsV1

SearchOps is a Ticket interface for searching over Nodes and Properties and returning Node Ids that match the given criteria. It is also used for indexing Nodes.

Nested Class Summary
`static class` | `SearchOpsV2.MethodName`

Method Summary
`List<Node>` | `nodeSearch(Search search, int startPos, int numItems)` Performs a search for nodes with the given parameters, returning a set of nodes.

Methods inherited from interface com.bea.content.spi.flexspi.ticket.SearchOpsV1
`indexContentByPath, indexContentByType, search`

Method Detail

### nodeSearch

    List<Node> nodeSearch(Search search,
                          int startPos,
                          int numItems)
                          throws RepositoryException

  Performs a search for nodes with the given parameters, returning a set of nodes.

  This method must not return null. If an empty List is returned, this will be interpreted as an empty result set.

  Parameters
    `search` - the search parameters (including the expression).
    `startPos` - the starting position (0= first position)
    `numItems` - the number of items to retrieve (-1= all items)
  Returns
    a List of Nodes.
  Throws
    `RepositoryException` - - if an error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.